This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 60126 - modprobe usb-uhci hangs system
modprobe usb-uhci hangs system
Status: CLOSED WONTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-20 12:54 EST by Bernhard Rosenkraenzer
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-29 05:01:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bernhard Rosenkraenzer 2002-02-20 12:54:25 EST
On a Fujitsu-Siemens Celsius Mobile H, modprobe usb-uhci hangs the
system.
The USB controllers are, according to lspci
00:1d.0 Class 0c03: 8086:2482 (rev 01)
        Subsystem: 110a:0082
        Flags: bus master, medium devsel, latency 0, IRQ 10
        I/O ports at 1800 [size=32]

00:1d.1 Class 0c03: 8086:2484 (rev 01)
        Subsystem: 110a:0082
        Flags: bus master, medium devsel, latency 0, IRQ 10
        I/O ports at 1820 [size=32]

00:1d.2 Class 0c03: 8086:2487 (rev 01)
        Subsystem: 110a:0082
        Flags: bus master, medium devsel, latency 0, IRQ 5
         I/O ports at 1840 [size=32]

(This is the same box that hangs on "cat /proc/apm", and they want
us to certify this crap. Yuck... ;) )
Comment 1 Michael K. Johnson 2002-03-28 18:08:58 EST
Are interrupts still enabled?  Can you do alt-sysrq-*?
What about nmi_watchdog=1?
Comment 2 Alan Cox 2002-03-28 18:34:58 EST
Well they can always get us a fixed BIOS for the APM - its probably something
daft. I have a detailed BIOS document for the kernel available we can send to
their BIOS people.

The other one does look like an IRQ routing bug/storm. Again maybe an incorrect
BIOS table.
Comment 3 Bernhard Rosenkraenzer 2002-03-29 05:01:18 EST
Can't give any feedback on the status, we don't have the test box anymore.

Note You need to log in before you can comment on or make changes to this bug.